extends Node2D

func transfer_object(object, new_position):
	object.return_position = object.position
	object.position = new_position
	object.get_parent().remove_child(object)
	call_deferred("add_child", object)

func return_object(object, new_parent):
	#object.position = object.return_position
	remove_child(object)
	new_parent.call_deferred("add_child", object)
